{% extends 'admin/index.html.twig' %}

{% block body %}
<h1>Galerie <a href="{{path('admin_new_gallery_image')}}" class="btn">Nouveau</a></h1>
<div class="table-responsive">
<table class="table">
    <thead>
        <th>ID</th>
        <th>Titre</th>
        <th>Alt</th>
        <th>Image</th>
        <th>Catégorie</th>
        <th>Actions</th>
    </thead>
    <tbody>
    {% for galleryImg in galleryImgs %}
        <tr>
            <td>{{ galleryImg.id }}</td>
            <td>{{ galleryImg.title }}</td>
            <td>{{ galleryImg.alt }}</td>
            <td><img src="{{ vich_uploader_asset(galleryImg, 'image') }}" alt="" width="100px"></td>
            <td>{{ galleryImg.category.name }}</td>
            <td>
                <a href="{{path('admin_edit_gallery_image', {'id': galleryImg.id})}}" class="btn btn-secondary">Editer</a>
                <a href="{{path('admin_delete_gallery_image', {'id': galleryImg.id})}}" class="btn btn-danger">Supprimer</a>
            </td>
        </tr>
    {% endfor %}
    </tbody>
</table>
</div>
{% endblock %}